<?php

class Travel_Eye_Advance_Image_Grid_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'travel-eye-advance-image-grid',
			__( 'Travel Eye: Advance Image Grid', 'travel-eye-pro' ),
			array(
				'description' => __( 'Displays an images in grid layout', 'travel-eye-pro' ),
				),
			array(),
			array(
				'title' => array(
					'type' => 'text',
					'label' => __( 'Title', 'travel-eye-pro' ),
				),
				'sub_title' => array(
					'type' => 'text',
					'label' => __( 'Sub Title', 'travel-eye-pro' ),
				),
				'images' => array(
					'type'       => 'repeater',
					'label'      => __( 'Images', 'travel-eye-pro' ),
					'item_name'  => __( 'Image', 'travel-eye-pro' ),
					'item_label' => array(
						'selector'     => "[name*='title']",
						'update_event' => 'change',
						'value_method' => 'val',
					),
					'fields' => array(
						'image' => array(
							'label'    => __( 'Image', 'travel-eye-pro' ),
							'type'     => 'media',
							'library'  => 'image',
							'fallback' => true,
						),
						'title' => array(
							'label' => __( 'Image title', 'travel-eye-pro' ),
							'type'  => 'text',
						),
						'url' => array(
							'label' => __( 'URL', 'travel-eye-pro' ),
							'type'  => 'link',
						),
					),
				),
				'display' => array(
					'type' => 'section',
					'label' => __( 'Display', 'travel-eye-pro' ),
					'fields' => array(
						'attachment_size' => array(
							'label'   => __( 'Image Size', 'travel-eye-pro' ),
							'type'    => 'select',
							'default' => 'medium',
							'options' => travel_eye_get_image_sizes_options( false, array( 'thumbnail', 'medium' ), false ),
						),
						'column_number' => array(
							'label'   => __( 'No of Columns', 'travel-eye-pro' ),
							'type'    => 'select',
							'default' => 5,
							'options' => array(
								'3' => 3,
								'4' => 4,
								'5' => 5,
								),
						),
					),
				),
				'settings_color' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'travel-eye-pro' ),
					'hide'   => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'travel-eye-pro' ),
							'default' => '#626262',
							),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'travel-eye-pro' ),
							'default' => '#313131',
						),
					),
				),

			)
		);
	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings_color']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings_color']['color_widget_title'];
		}
		if ( ! empty( $instance['settings_color']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings_color']['color_widget_sub_title'];
		}
		return $less_vars;

	}

}

siteorigin_widget_register( 'travel-eye-advance-image-grid', __FILE__, 'Travel_Eye_Advance_Image_Grid_Widget' );
