<?php

class Travel_Eye_Booking_Form_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'travel-eye-booking',
			__( 'Travel Eye: Booking Form', 'travel-eye-pro' ),
			array(
				'description' => __( 'Display form from Contact Form 7.', 'travel-eye-pro' ),
			),
			array(),
			array(
				'title' => array(
					'type'  => 'text',
					'label' => __( 'Title', 'travel-eye-pro' ),
				),
				'sub_title' => array(
					'type'  => 'text',
					'label' => __( 'Subtitle', 'travel-eye-pro' ),
				),
				'form_id' => array(
					'type'    => 'select',
					'label'   => __( 'Form', 'travel-eye-pro' ),
					'options' => $this->get_form_options(),
				),
				'start_offset' => array(
					'type'        => 'number',
					'label'       => __( 'Widget Start Offset', 'travel-eye-pro' ),
					'description' => __( 'in px', 'travel-eye-pro' ),
					'default'     => 0,
				),
				'settings_color' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'travel-eye-pro' ),
					'hide' => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'travel-eye-pro' ),
							'default' => '#626262',
						),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'travel-eye-pro' ),
							'default' => '#313131',
						),
					),
				),
			),
			plugin_dir_path( __FILE__ )
		);
	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_form_options() {
		$output = array();
		$output[] = __( '&mdash; Select &mdash;', 'travel-eye-pro' );
		$qargs = array(
			'post_type' => 'wpcf7_contact_form',
			);
		$all_posts = get_posts( $qargs );
		if ( ! empty( $all_posts ) ) {
			foreach ( $all_posts as $p ) {
				$output[ $p->ID ] = esc_html( $p->post_title );
			}
		}
		return $output;
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings_color']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings_color']['color_widget_title'];
		}
		if ( ! empty( $instance['settings_color']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings_color']['color_widget_sub_title'];
		}
		if ( ! empty( $instance['start_offset'] ) ) {
			$less_vars['start_offset'] = intval( $instance['start_offset'] ) . 'px';
		}
		return $less_vars;

	}
}

siteorigin_widget_register( 'travel-eye-booking', __FILE__, 'Travel_Eye_Booking_Form_Widget' );
