<?php

class Travel_Eye_Latest_News_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'travel-eye-latest-news',
			__( 'Travel Eye: Latest News Widget', 'travel-eye-pro' ),
			array(
				'description' => __( 'Displays latest posts in grid.', 'travel-eye-pro' ),
			),
			array(),
			array(
				'title' => array(
					'type' => 'text',
					'label' => __( 'Title', 'travel-eye-pro' ),
				),
				'sub_title' => array(
					'type' => 'text',
					'label' => __( 'Sub Title', 'travel-eye-pro' ),
				),
				'posts' => array(
					'type'  => 'posts',
					'label' => __( 'Posts', 'travel-eye-pro' ),
				),
				'settings' => array(
					'type'   => 'section',
					'label'  => __( 'Settings', 'travel-eye-pro' ),
					'hide' => true,
					'fields' => array(
		    			'post_column' => array(
					        'type'  => 'select',
					        'label' => __( 'Number of Columns', 'travel-eye-pro' ),
					        'default' => 4,
					       	'options' => array(
								'1' => 1,
								'2' => 2,
								'3' => 3,
								'4' => 4,
							),
					    ),
					    'featured_image' => array(
							'type'    => 'select',
							'label'   => __( 'Image Size', 'travel-eye-pro' ),
							'default' => 'medium',
							'options' => travel_eye_get_image_sizes_options(),
						),
						'excerpt_length' => array(
							'type'    => 'number',
							'label'   => __( 'Excerpt Length', 'travel-eye-pro' ),
							'default' => 10,
		   				 ),
						'more_text' => array(
							'type'    => 'text',
							'label'   => __( 'Read More Text', 'travel-eye-pro' ),
							'default' => __( 'Read more','travel-eye-pro' ),
						),
						'disable_date' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Date in Post', 'travel-eye-pro' ),
		    			),
		    			'disable_comment' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Comment in Post', 'travel-eye-pro' ),
		    			),
		    			'disable_excerpt' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Post Excerpt', 'travel-eye-pro' ),
		    			),
		    			'disable_date' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Date in Post', 'travel-eye-pro' ),
		    			),
		    			'disable_more_text' => array(
							'type'  => 'checkbox',
							'label' => __( 'Disable Read More Text', 'travel-eye-pro' ),
		    			),
	    			),
				),
				'settings_color' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'travel-eye-pro' ),
					'hide' => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'travel-eye-pro' ),
							'default' => '#626262',
							),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'travel-eye-pro' ),
							'default' => '#313131',
							),
						'color_news_title' => array(
							'type'    => 'color',
							'label'   => __( 'News Title Color', 'travel-eye-pro' ),
							'default' => '#626262',
							),
						'color_news_title_hover' => array(
							'type'    => 'color',
							'label'   => __( 'News Title Hover Color', 'travel-eye-pro' ),
							'default' => '#dd3333',
							),
						'color_news_content' => array(
							'type'    => 'color',
							'label'   => __( 'News Content Color', 'travel-eye-pro' ),
							'default' => '#666666',
							),
						'color_news_links' => array(
							'type'    => 'color',
							'label'   => __( 'News Links Color', 'travel-eye-pro' ),
							'default' => '#dd3333',
							),
						'color_news_links_hover' => array(
							'type'    => 'color',
							'label'   => __( 'News Links Color Hover', 'travel-eye-pro' ),
							'default' => '#a06464',
							),
						'color_news_read_more_link' => array(
							'type'    => 'color',
							'label'   => __( 'Read More Color', 'travel-eye-pro' ),
							'default' => '#FFFFFF',
							),
						'color_news_read_more_link_background' => array(
							'type'    => 'color',
							'label'   => __( 'Read More Background Color', 'travel-eye-pro' ),
							'default' => '#dd3333',
							),
						),
					),
			),
			plugin_dir_path( __FILE__ )
		);
	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings_color']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings_color']['color_widget_title'];
		}
		if ( ! empty( $instance['settings_color']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings_color']['color_widget_sub_title'];
		}
		if ( ! empty( $instance['settings_color']['color_news_title'] ) ) {
			$less_vars['color_news_title'] = $instance['settings_color']['color_news_title'];
		}
		if ( ! empty( $instance['settings_color']['color_news_title_hover'] ) ) {
			$less_vars['color_news_title_hover'] = $instance['settings_color']['color_news_title_hover'];
		}
		if ( ! empty( $instance['settings_color']['color_news_content'] ) ) {
			$less_vars['color_news_content'] = $instance['settings_color']['color_news_content'];
		}
		if ( ! empty( $instance['settings_color']['color_news_links'] ) ) {
			$less_vars['color_news_links'] = $instance['settings_color']['color_news_links'];
		}
		if ( ! empty( $instance['settings_color']['color_news_links_hover'] ) ) {
			$less_vars['color_news_links_hover'] = $instance['settings_color']['color_news_links_hover'];
		}
		if ( ! empty( $instance['settings_color']['color_news_read_more_link'] ) ) {
			$less_vars['color_news_read_more_link'] = $instance['settings_color']['color_news_read_more_link'];
		}
		if ( ! empty( $instance['settings_color']['color_news_read_more_link_background'] ) ) {
			$less_vars['color_news_read_more_link_background'] = $instance['settings_color']['color_news_read_more_link_background'];
		}
		return $less_vars;
	}
}

siteorigin_widget_register( 'travel-eye-latest-news', __FILE__, 'Travel_Eye_Latest_News_Widget' );
