<?php if ( ! empty( $instance['title'] ) ) : ?>
	<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title'] ?>
<?php endif; ?>
<?php if ( ! empty( $instance['sub_title'] ) ) : ?>
	<h4 class="widget-sub-title"><?php echo esc_html( $instance['sub_title'] ); ?></h4>
<?php endif; ?>

<?php
$carousel_args = array(
	'slidesToShow' => 2,
	'dots'         => false,
	'prevArrow'    => '<span data-role="none" class="slick-prev" tabindex="0"></span>',
	'nextArrow'    => '<span data-role="none" class="slick-next" tabindex="0"></span>',
	'responsive'   => array(
		array(
			'breakpoint' => 1024,
			'settings'   => array(
				'slidesToShow' => 1,
				),
			),
		),
	);
$carousel_args_encoded = wp_json_encode( $carousel_args );
?>

<div class='travel-eye-testimonial-carousel' data-slick='<?php echo $carousel_args_encoded; ?>'>

	<?php foreach ( $instance['testimonials'] as $i => $testimonial ) : ?>
		<?php
			$profile_picture = $testimonial['profile_picture'];
			$profile_picture_fallback = $testimonial['profile_picture_fallback'];
			$image_details = siteorigin_widgets_get_attachment_image_src(
				$profile_picture,
				'thumbnail',
				$profile_picture_fallback
			);
			?>

		<div class="testimonial-item">
			<?php if ( ! empty( $image_details ) ) : ?>
				<div class="testimonial-thumb">
					<img src="<?php echo esc_url( $image_details[0] ) ?>" alt="<?php echo esc_attr( $testimonial['full_name'] ); ?>">
				</div><!-- .testimonial-thumb -->
			<?php endif; ?>
			<div class="testimonial-summary">
				<?php echo wp_kses_post( wpautop( $testimonial['message'] ) ); ?>
			</div><!-- .testimonial-summary -->
			<h4>
				<span class="testimonial-author"><?php echo esc_html( $testimonial['full_name'] ); ?></span>
				<span class="position"><?php echo esc_html( $testimonial['position'] ); ?></span>
			</h4>
		</div><!-- .testimonial-item -->
	<?php endforeach; ?>

</div><!-- .travel-eye-testimonial-carousel -->
