<?php

class Travel_Eye_Title_Subtitle_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'travel-eye-title-subtitle',
			__( 'Travel Eye: Title', 'travel-eye-pro' ),
			array(
				'description' => __( 'Simple title and subtitle widget', 'travel-eye-pro' ),
			),
			array(),
			array(
				'title' => array(
					'type'  => 'text',
					'label' => __( 'Title', 'travel-eye-pro' ),
				),
				'sub_title' => array(
					'type'  => 'text',
					'label' => __( 'Subtitle', 'travel-eye-pro' ),
				),
				'content' => array(
					'type'  => 'textarea',
					'label' => __( 'Content', 'travel-eye-pro' ),
				),
				'settings_color' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'travel-eye-pro' ),
					'hide' => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'travel-eye-pro' ),
							'default' => '#626262',
							),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'travel-eye-pro' ),
							'default' => '#313131',
						),
						'color_widget_content' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Content Color', 'travel-eye-pro' ),
							'default' => '#666666',
						),
					),
				),
			)
		);

	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();

		if ( ! empty( $instance['settings_color']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings_color']['color_widget_title'];
		}
		if ( ! empty( $instance['settings_color']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings_color']['color_widget_sub_title'];
		}
		if ( ! empty( $instance['settings_color']['color_widget_content'] ) ) {
			$less_vars['color_widget_content'] = $instance['settings_color']['color_widget_content'];
		}

		return $less_vars;

	}

}

siteorigin_widget_register( 'travel-eye-title-subtitle', __FILE__, 'Travel_Eye_Title_Subtitle_Widget' );
